using System.Reflection;

internal class Program
{
    private static string _assemblyPath = Path.GetDirectoryName(Assembly.GetEntryAssembly()!.Location) ?? "";
    public static string assemblyPath
    {
        get => Program._assemblyPath;
    }
    public static string dataPath
    {
        get => Program._assemblyPath+"\\data";
    }
    private static int Main(string[] args)
    {
        Console.WriteLine(Program.assemblyPath);
        Console.WriteLine(Program.dataPath);

        return 0;
    }
}
